package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 实验室和安全准入配置中间关联对象 lab_subject_securityconfigure
 *
 * @author zd
 * @date 2021-09-10
 */
@ApiModel("实验室和安全准入配置中间关联")
public class LabSubjectSecurityconfigure extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    /**
     * 安全准日配置id
     */
    @Excel(name = "安全准日配置id")
    @ApiModelProperty(value = "安全准日配置id")
    private Long groupconfigureId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setGroupconfigureId(Long groupconfigureId) {
        this.groupconfigureId = groupconfigureId;
    }

    public Long getGroupconfigureId() {
        return groupconfigureId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("subjectId", getSubjectId())
                .append("groupconfigureId", getGroupconfigureId())
                .append("remark", getRemark())
                .toString();
    }
}
